Subject: [rohc] ROHC question

From: "Sarkar, Rajib" <[email-masked]>
Date: Mon, 4 Nov 2002 08:46:24 -0800

Hi,
	I have two doubts about ROHC RFC 3095.

When in the SO state compressor sends only Type 0 packets, then based on the
sequence number the decompressor also guess about the Time Stamp and IP
Identifier values. Lets say for any type 0 packet the decompressed SN is 32,
and for next packet lets assume that decompressed SN is 34, now is it true
that if the functional mapping between SN and TS remains same, then we
should increase the Time Stamp at the decompressor by 320 (160*2, assuming
voice packets)?
If the above holds true, then should we also update the reference value of
TS and IP-ID in the compressor and decompressor if a Type0 packet is send
with CRC?

	Thanks for your help.
Thanks
Rajib

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: [email-masked]
Date: Mon, 4 Nov 2002 15:29:08 -0600

> If the above holds true, then should we also update the reference 
> value of TS and IP-ID in the compressor and decompressor if a Type0 
> packet is send with CRC?

Rajib,

The answer depends on mode. For UO-0, the answer is yes, 
see section 4.7 of 
http://www.ietf.org/internet-drafts/draft-ietf-rohc-rtp-impl-guide-01.txt.

For R-0-CRC, the reference values of *all* header fields should be 
updated, including TS and IP-ID. Actually, that is true for any
update packet (i.e. packet with CRC) in R-mode.

Lars-Erik, can we add the following clarification to section 4.7?

"An updating packet in R-mode updates the reference values of 
all header fields either explicitly or implicitly."

BR,
Zhigang

---

From: "Sarkar, Rajib" <[email-masked]>
Date: Mon, 4 Nov 2002 14:09:08 -0800

Hi,
	That explanis the things. However, I have a separate question
regarding this. Lets say we have a video frame and the TS value is same for
SN 12, 13, 14 and 15. For SN 12, we will send a type 0 packet, so the
decompressor will assume an default slope 1, and decode the TS value (that
is lets say prev decoded TS 300, so this one's TS will be 460, assuming
TS_STRIDE 160). Now for SN 13, 14 and 15 how do we send the same TS? What I
got from the RFC we have to send type 1 packet. Is my understanding right?
Thanks
Rajib

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, November 04, 2002 1:29 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [rohc] ROHC question

Rajib,

BR,
Zhigang

---

From: "Sarkar, Rajib" <[email-masked]>
Date: Mon, 4 Nov 2002 16:52:33 -0800

Hi,
	I got the idea that packets with CRC will only update context. But
my question is once we send the Type 1 packet with SN 13, then we have to
encode TS in such a way that the TS for the packet with SN 13 at
decompressor remains same. Am I right?
	My another question is is timer based encoding mandatory? Or we can
just do W-LSB encoding of scaled TS?
Thnaks
Rajib

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, November 04, 2002 3:49 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [rohc] ROHC question

Yes, but there are some difference between modes.

For R-mode, R-1* does not update any part of the context. So 
you can send any R-1* (and perhaps with extensions) that 
carries TS bits.

For UO-mode, you can send UO-1* (and extensions) that carries 
TS bits. But note that the TS field will be updated. See
RFC 3095, section 5.7.3 (updating properties) for more detail.

BR,
Zhigang

> From: ext Sarkar, Rajib [mailto:[email-masked]]
> Sent: November 04, 2002 4:09 PM
> To: Liu Zhigang.C (NRC/Dallas); Sarkar, Rajib; [email-masked]

---

From: [email-masked]
Date: Mon, 4 Nov 2002 18:57:18 -0600

> But my question is once we send the Type 1 packet with SN 13, 
> then we have to encode TS in such a way that the TS for the 
> packet with SN 13 at decompressor remains same. Am I right?

Yes. 

> My another question is is timer based encoding mandatory? 

It's not. By default it's off.

Zhigang

---

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Tue, 5 Nov 2002 09:16:02 +0100

> all header fields either explicitly or implicitly."

Yes, I'll remember this for the next update of the impl. guide!

Rgds,
/L-E